For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
LoginTalk to us
DocumentationSDKsConnectAPI Reference
DocumentationSDKsConnectAPI Reference
  • API Reference
      • POSTUpdate User Property
      • POSTSet an Unset Property
      • POSTIncrement/Decrement Numeric Property
      • POSTAppend Values to List
      • POSTRemove Value From List
      • POSTUnset User Property
      • POSTBatch Update User Properties
LogoLogo
LoginTalk to us
API ReferenceUser Properties

Append Values to List

POST
https://api.fyno.io/v1/:WSID/:version/profiles/properties/list-append
POST
/v1/:WSID/:version/profiles/properties/list-append
$curl -X POST https://api.fyno.io/v1/FYXXXXXXXX/live/profiles/properties/list-append \
> -H "Authorization: Bearer <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "$append": {
> "property_1": "some text",
> "property_2": 123,
> "property_3": 45.67,
> "property_4": "2020-10-01T18:30:00.000Z",
> "property_5": "2021-12-01",
> "property_n": "2021-11-01T13:35:00+02:00"
> },
> "distinct_id": "XXXXXXXX"
>}'
1{
2 "request_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX"
3}
This API enables you to append values to list type properties of your users listed in your [User Profiles](../user-profiles-overview). If the user with distinct ID doesn't exist, it creates a new user with the provided distinct ID and updates values for all the provided properties.<br/><br/>**Note:** If a [property was not created earlier](../adding-new-user-property#how-to-add-a-new-user-property-from-user-profile-page), it will create a new property and the data type of the property will set to `List`. For example, if you `$append` a new property called `order_ids=245`, it will create the `order_ids` property with `List` type and value `[245]`. A list may contain only unique values, so if a value already exists, and you try to add the same value, it will be ignored. <br/><br/>You can append values with the following data types:<ul> <li>**String:** Can be alphanumeric and contain a maximum of 255 characters. Example: `products_order=['iPhone 16 Pro', 'iPad 32 GB']`.</li> <li>**Number:** Can be an integer or a decimal. Example: `purchase_amount=[23000, 20.34]`.</li> <li>**Date:** Must be in ISO 8601 format: `YYYY-MM-DDTHH:MM:SS.sssZ`. Example: `membership_date=2020-10-01T18:30:00.000Z` or `membership_date=2020-10-01T18:30:00Z` or `membership_date=2020-10-01T18:30:00.000+05:30` or `membership_date=2020-10-01T18:30:00+02:00` or `membership_date=2020-10-01`.</li> </ul>You can append only one value to a property at a time. Although not recommended, a list property can contain a mix of different data types.<br/><br/>These user properties can be used to filter your users for creating [user cohorts](../creating-cohorts) and [campaigns](../campaign_creation#creating-a-campaign-using-cohort).
Was this page helpful?
Previous

Remove Value From List

Next
Built with
This API enables you to append values to list type properties of your users listed in your User Profiles. If the user with distinct ID doesn’t exist, it creates a new user with the provided distinct ID and updates values for all the provided properties.

Note: If a property was not created earlier, it will create a new property and the data type of the property will set to List. For example, if you $append a new property called order_ids=245, it will create the order_ids property with List type and value [245]. A list may contain only unique values, so if a value already exists, and you try to add the same value, it will be ignored.

You can append values with the following data types:
  • String: Can be alphanumeric and contain a maximum of 255 characters. Example: products_order=['iPhone 16 Pro', 'iPad 32 GB'].
  • Number: Can be an integer or a decimal. Example: purchase_amount=[23000, 20.34].
  • Date: Must be in ISO 8601 format: YYYY-MM-DDTHH:MM:SS.sssZ. Example: membership_date=2020-10-01T18:30:00.000Z or membership_date=2020-10-01T18:30:00Z or membership_date=2020-10-01T18:30:00.000+05:30 or membership_date=2020-10-01T18:30:00+02:00 or membership_date=2020-10-01.
You can append only one value to a property at a time. Although not recommended, a list property can contain a mix of different data types.

These user properties can be used to filter your users for creating user cohorts and campaigns.

Authentication

AuthorizationBearer
Enter your API Key. If you don't have it already, you can create one from the API Keys page within your Fyno account

Path parameters

WSIDstringRequired
Enter your workspace ID. You can obtain this value from the API Keys page within your Fyno account.
versionenumRequiredDefaults to live
Specify the version for which you would like to update the user property.
Allowed values:

Request

This endpoint expects an object.
$appendmap from strings to doubles or strings or datesRequired
Enter the property name as JSON key and the numeric or string value to append as JSON value
distinct_idstringRequired
Enter the distinct ID that you use to identify the recipient.

Response

Request has been accepted and will be processed asynchronously.
request_idstring

Errors

400
Bad Request Error
401
Unauthorized Error